local velLimit = 400
Player = Tile:extend{
   image = 'data/player.png',
   maxVelocity = {x=velLimit,y=velLimit},
   minVelocity = {x=-velLimit, y=-velLimit},
   onStartFrame = function(self)
                     if the.keys:pressed('left') then
                        self.velocity.x = -200 * the.activeMaze.moveMod
                     elseif the.keys:pressed('right') then
                        self.velocity.x = 200 * the.activeMaze.moveMod
                     else
                        self.velocity.x = 0
                     end

                     if the.keys:pressed('up') then
                        self.velocity.y = -200 * the.activeMaze.moveMod
                     elseif the.keys:pressed('down') then
                        self.velocity.y = 200 * the.activeMaze.moveMod
                     else
                        self.velocity.y = 0
                     end
                  end,
   onCollide = function(self, other)
                  other:displace(self)
               end
}